.newsletter-hubspot-form:not(.horizontal) {
    width: 100%;
    max-width: 360px;
    padding: 20px;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}
.newsletter-hubspot-form.horizontal {
    max-width: 760px;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.newsletter-hubspot-form label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

.newsletter-hubspot-form.horizontal > div:nth-of-type(-n+3):not(:last-child) {
    width: 32%;
}
.newsletter-hubspot-form:not(.horizontal) input:not(.check-newsletter) {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
}
@media only screen and (max-width: 767px) {
   .newsletter-hubspot-form.horizontal {
        justify-content: space-around;
    }
   .newsletter-hubspot-form.horizontal > div:nth-of-type(-n+3):not(:last-child) {
        width: 48%;
        margin-bottom:15px;
   } 
}
@media only screen and (max-width: 485px) {
   .newsletter-hubspot-form.horizontal > div:nth-of-type(-n+3):not(:last-child) {
        width: 100%;
    } 
}

/*.newsletter-hubspot-form.horizontal input:not(.check-newsletter) {*/
/*    width: 100%;*/
/*    padding: 10px;*/
/*    margin-bottom: 15px;*/
/*    border: 1px solid #ccc;*/
/*    border-radius: 4px;*/
/*}*/
.newsletter-hubspot-form .checkbox-container {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 13px;
    margin: 10px auto;
    line-height: 1.4;
    font-weight: 400;
}
.newsletter-hubspot-form .checkbox-container input[type="checkbox"] {
    margin-top: 4px;
    cursor: pointer;
}

.newsletter-hubspot-form .checkbox-container a {
    text-decoration: underline;
}
.newsletter-hubspot-form .checkbox-container a:hover {
    text-decoration: none;
}

.newsletter-hubspot-form button {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
.newsletter-hubspot-form.horizontal button {
    width: 320px;
    margin: 0 auto;
}
.newsletter-hubspot-form label[id*="-error"]{
    color:red;
    font-weight: 600;
    font-size: 0.9rem;
}
.newsletter-message-container {
    /*margin-top: 20px;*/
    /*padding: 10px;*/
    border-radius: 5px;
    text-align: center;
    font-size: 1rem;
    height: 0;
    opacity: 0;
    overflow: hidden;
    transition: height 0.3s ease, opacity 0.3s ease;
}
.newsletter-message-container.success,
.newsletter-message-container.failure {
    height: auto; /* This is dynamically adjusted by JavaScript */
    opacity: 1;
    padding: 10px;
    border-radius: 5px;
    margin-top: 10px;
}
.newsletter-message-container.success {
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
}

.newsletter-message-container.failure {
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c6cb;
}
